Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Interface IVMInstallChangedListener

public interface IVMInstallChangedListener

A VM install changed listener is notified when the workspace default VM install changes, or when an attribute of a specific VM install changes. Listeners register with `JavaRuntime`.

Clients may implement this interface.

Since:
  2.0

Field Summary
`static String` | `PROPERTY_INSTALL_LOCATION` Property constant indicating the install location of a VM install has changed.
`static String` | `PROPERTY_JAVADOC_LOCATION` Property constant indicating the Javadoc location associated with a VM install has changed.
`static String` | `PROPERTY_LIBRARY_LOCATIONS` Property constant indicating the library locations associated with a VM install have changed.
`static String` | `PROPERTY_NAME` Property constant indicating the name associated with a VM install has changed.

Method Summary
`void` | `defaultVMInstallChanged(IVMInstall previous, IVMInstall current)` Notification that the workspace default VM install has changed.
`void` | `vmAdded(IVMInstall vm)` Notification that a VM has been created.
`void` | `vmChanged(PropertyChangeEvent event)` Notification that a property of a VM install has changed.
`void` | `vmRemoved(IVMInstall vm)` Notification that a VM has been disposed.

Field Detail

### PROPERTY_LIBRARY_LOCATIONS

    public static final String PROPERTY_LIBRARY_LOCATIONS

  Property constant indicating the library locations associated with a VM install have changed.

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  Property constant indicating the name associated with a VM install has changed.

### PROPERTY_INSTALL_LOCATION

    public static final String PROPERTY_INSTALL_LOCATION

  Property constant indicating the install location of a VM install has changed.

### PROPERTY_JAVADOC_LOCATION

    public static final String PROPERTY_JAVADOC_LOCATION

  Property constant indicating the Javadoc location associated with a VM install has changed.

Method Detail

### defaultVMInstallChanged

    public void defaultVMInstallChanged(IVMInstall previous,
                                        IVMInstall current)

  Notification that the workspace default VM install has changed.

  Parameters:
    `previous` - the VM install that was previously assigned to the workspace, possibly `null`
    `current` - the VM install that is currently assigned to the workspace, possibly `null`

### vmChanged

    public void vmChanged(PropertyChangeEvent event)

  Notification that a property of a VM install has changed.

  Parameters:
    `event` - event describing the change. The VM that has changed is the source object associated with the event.

### vmAdded

    public void vmAdded(IVMInstall vm)

  Notification that a VM has been created.

  Parameters:
    `vm` - the vm that has been created

### vmRemoved

    public void vmRemoved(IVMInstall vm)

  Notification that a VM has been disposed.

  Parameters:
    `vm` - the vm that has been disposed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.